<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.0"?><!--  Copyright (c) 2000-2005 MetaMatrix, Inc.  All rights reserved. --><plugin id="com.metamatrix.metamodels.webservice" name="%pluginName" version="5.0.1"
        provider-name="%providerName"
        class="com.metamatrix.metamodels.webservice.WebServiceMetamodelPlugin">

   <runtime>
      <library name="webservice_PATCH.jar">
         <export name="*"/>
      </library>
      <library name="webservice.jar">
         <export name="*"/>
      </library>
   </runtime>
   <requires>
      <import plugin="org.eclipse.emf.ecore"/>
      <import plugin="org.eclipse.emf.edit"/>
      <import plugin="org.eclipse.emf.ecore.edit"/>
      <import plugin="org.eclipse.core.runtime"/>
      <import plugin="org.aspectj.runtime"/>
      <import plugin="com.metamatrix.core"/>
      <import plugin="com.metamatrix.modeler.core"/>
      <import plugin="com.metamatrix.metamodels.core" export="true"/>
      <import plugin="com.metamatrix.metamodels.xsd" export="true"/>
      <import plugin="com.metamatrix.metamodels.xml" export="true"/>
      <import plugin="com.metamatrix.core.aspectj"/>
      <import plugin="com.metamatrix.core.xml"/>
   </requires>

   <extension point="org.eclipse.emf.ecore.generated_package">
      <package uri="http://www.metamatrix.com/metamodels/WebService"
               class="com.metamatrix.metamodels.webservice.WebServicePackage">
      </package>
   </extension>
   <!--
   	Each extension below represents a single metamodel.  Each metmodel is
   	registered using under the specified <uri> value.  The <internalUri>
   	value defines the physical URI used when determining the necessary
   	resource factory used to create a resource of this type.  The <resource>
    value defines the location of the ecore XMI file within the archive.
   -->
   <extension id="webservice" name="%metamodelName"
              point="com.metamatrix.modeler.core.metamodel">
      <namespacePrefix>
         mmws
      </namespacePrefix>
      <uri>
         http://www.metamatrix.com/metamodels/WebService
      </uri>
      <internalUri>
         mtkplugin:///com.metamatrix.metamodels.WebService
      </internalUri>
      <rootEntityClass name="com.metamatrix.metamodels.webservice.Interface">
      </rootEntityClass>
      <properties createAsPhysical="false" requiresProxies="false" participatoryOnly="false"
                  createAsVirtual="true"
                  supportsDiagrams="true"
                  supportsExtension="true">
      </properties>
      <allowableModelType>
      	VIRTUAL
      </allowableModelType>
      <factoryClass name="com.metamatrix.metamodels.webservice.impl.WebServiceFactoryImpl">
      </factoryClass>
      <packageClass name="com.metamatrix.metamodels.webservice.impl.WebServicePackageImpl">
      </packageClass>
      <adapterClass name="com.metamatrix.metamodels.webservice.provider.WebServiceItemProviderAdapterFactory">
      </adapterClass>
   </extension>


   <!-- MetamodelAspect extensions -->
   <extension id="webserviceSqlAspect" point="com.metamatrix.modeler.core.sqlAspect">
      <metamodelExtensionID>
         webservice
      </metamodelExtensionID>
      <factoryClass name="com.metamatrix.metamodels.webservice.aspects.sql.WebServiceSqlAspectFactoryImpl">
      </factoryClass>
   </extension>
   <extension id="webserviceUmlAspect" point="com.metamatrix.modeler.core.umlDiagramAspect">
      <metamodelExtensionID>
         webservice
      </metamodelExtensionID>
      <factoryClass name="com.metamatrix.metamodels.webservice.aspects.uml.WebServiceUmlAspectFactoryImpl">
      </factoryClass>
   </extension>
   <extension id="webserviceValidationAspect"
              point="com.metamatrix.modeler.core.validationAspect">
      <metamodelExtensionID>
         webservice
      </metamodelExtensionID>
      <factoryClass name="com.metamatrix.metamodels.webservice.aspects.validation.WebServiceValidationAspectFactoryImpl">
      </factoryClass>
   </extension>

   <!-- EObject Matcher extensions -->
   <extension id="webserviceMatcherFactory"
              point="com.metamatrix.modeler.core.eobjectMatcherFactory">
      <class name="com.metamatrix.metamodels.webservice.compare.WebServiceMatcherFactory">
      </class>
   </extension>

</plugin>